Page MenuHomePhabricator

SVG rendering: problems with paths beyond page extent
Closed, ResolvedPublic

Description

Author: alexander_berlin

Description:
I've seen that problem on various SVG files, e.g. here: http://commons.wikimedia.org/wiki/File:Hilfe_Geotools_Beispiel_3.svg

If a closed path goes beyond the limits of the SVG page size, there will be strange line artefacts crosswise the PNG file.


Version: unspecified
Severity: minor

Details

Reference
bz19224

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:38 PM
bzimport set Reference to bz19224.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 15 2009, 6:38 PM
brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

giving SVG bugs back to the pool.

TheDJ added a comment.Dec 4 2011, 1:01 PM

It seems the behavior of this image has changed since the last rsvg update. The paths (that are outside of the canvas) are now apparently invalidated and not rendered at all.

TheDJ added a comment.Oct 26 2012, 9:36 AM

This problem is now fixed. The linked image now renders correctly.

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:22 AM